## brasero-track-type

brasero-track-type

## Synopsis

    enum                BraseroTrackDataType;
                        BraseroTrackType;
    BraseroTrackType *  brasero_track_type_new              (void);
    void                brasero_track_type_free             (BraseroTrackType *type);
    gboolean            brasero_track_type_is_empty         (const BraseroTrackType *type);
    gboolean            brasero_track_type_get_has_data     (const BraseroTrackType *type);
    gboolean            brasero_track_type_get_has_image    (const BraseroTrackType *type);
    gboolean            brasero_track_type_get_has_stream   (const BraseroTrackType *type);
    gboolean            brasero_track_type_get_has_medium   (const BraseroTrackType *type);
    void                brasero_track_type_set_has_data     (BraseroTrackType *type);
    void                brasero_track_type_set_has_image    (BraseroTrackType *type);
    void                brasero_track_type_set_has_stream   (BraseroTrackType *type);
    void                brasero_track_type_set_has_medium   (BraseroTrackType *type);
    BraseroStreamFormat  brasero_track_type_get_stream_format
                                                            (const BraseroTrackType *type);
    BraseroImageFormat  brasero_track_type_get_image_format (const BraseroTrackType *type);
    BraseroMedia        brasero_track_type_get_medium_type  (const BraseroTrackType *type);
    BraseroImageFS      brasero_track_type_get_data_fs      (const BraseroTrackType *type);
    void                brasero_track_type_set_stream_format
                                                            (BraseroTrackType *type,
                                                             BraseroImageFormat format);
    void                brasero_track_type_set_image_format (BraseroTrackType *type,
                                                             BraseroImageFormat format);
    void                brasero_track_type_set_medium_type  (BraseroTrackType *type,
                                                             BraseroMedia media);
    void                brasero_track_type_set_data_fs      (BraseroTrackType *type,
                                                             BraseroImageFS fs_type);
    gboolean            brasero_track_type_equal            (const BraseroTrackType *type_A,
                                                             const BraseroTrackType *type_B);

## Description

## Details

### enum BraseroTrackDataType

    typedef enum {
    	BRASERO_TRACK_TYPE_NONE				= 0,
    	BRASERO_TRACK_TYPE_STREAM,
    	BRASERO_TRACK_TYPE_DATA,
    	BRASERO_TRACK_TYPE_IMAGE,
    	BRASERO_TRACK_TYPE_DISC,
    } BraseroTrackDataType;

### BraseroTrackType

    typedef struct _BraseroTrackType BraseroTrackType;

### brasero_track_type_new ()

    BraseroTrackType *  brasero_track_type_new              (void);

Returns : |

### brasero_track_type_free ()

    void                brasero_track_type_free             (BraseroTrackType *type);

`type` : |

### brasero_track_type_is_empty ()

    gboolean            brasero_track_type_is_empty         (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_has_data ()

    gboolean            brasero_track_type_get_has_data     (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_has_image ()

    gboolean            brasero_track_type_get_has_image    (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_has_stream ()

    gboolean            brasero_track_type_get_has_stream   (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_has_medium ()

    gboolean            brasero_track_type_get_has_medium   (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_set_has_data ()

    void                brasero_track_type_set_has_data     (BraseroTrackType *type);

`type` : |

### brasero_track_type_set_has_image ()

    void                brasero_track_type_set_has_image    (BraseroTrackType *type);

`type` : |

### brasero_track_type_set_has_stream ()

    void                brasero_track_type_set_has_stream   (BraseroTrackType *type);

`type` : |

### brasero_track_type_set_has_medium ()

    void                brasero_track_type_set_has_medium   (BraseroTrackType *type);

`type` : |

### brasero_track_type_get_stream_format ()

    BraseroStreamFormat  brasero_track_type_get_stream_format
                                                            (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_image_format ()

    BraseroImageFormat  brasero_track_type_get_image_format (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_medium_type ()

    BraseroMedia        brasero_track_type_get_medium_type  (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_get_data_fs ()

    BraseroImageFS      brasero_track_type_get_data_fs      (const BraseroTrackType *type);

`type` : |
Returns : |

### brasero_track_type_set_stream_format ()

    void                brasero_track_type_set_stream_format
                                                            (BraseroTrackType *type,
                                                             BraseroImageFormat format);

`type` : |
`format` : |

### brasero_track_type_set_image_format ()

    void                brasero_track_type_set_image_format (BraseroTrackType *type,
                                                             BraseroImageFormat format);

`type` : |
`format` : |

### brasero_track_type_set_medium_type ()

    void                brasero_track_type_set_medium_type  (BraseroTrackType *type,
                                                             BraseroMedia media);

`type` : |
`media` : |

### brasero_track_type_set_data_fs ()

    void                brasero_track_type_set_data_fs      (BraseroTrackType *type,
                                                             BraseroImageFS fs_type);

`type` : |
`fs_type` : |

### brasero_track_type_equal ()

    gboolean            brasero_track_type_equal            (const BraseroTrackType *type_A,
                                                             const BraseroTrackType *type_B);

`type_A` : |
`type_B` : |
Returns : |